Component.Type (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.io.sstable

## Enum Component.Type

- java.lang.Object
- - java.lang.Enum<Component.Type>
  - - org.apache.cassandra.io.sstable.Component.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Component.Type>
  Enclosing class:
    Component

      public static enum Component.Type
      extends java.lang.Enum<Component.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPRESSION_INFO`
    `CRC`
    `CUSTOM`
    `DATA`
    `DIGEST`
    `FILTER`
    `PRIMARY_INDEX`
    `SECONDARY_INDEX`
    `STATS`
    `SUMMARY`
    `TOC`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Component.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Component.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DATA

          public static final Component.Type DATA

    - #### PRIMARY_INDEX

          public static final Component.Type PRIMARY_INDEX

    - #### FILTER

          public static final Component.Type FILTER

    - #### COMPRESSION_INFO

          public static final Component.Type COMPRESSION_INFO

    - #### STATS

          public static final Component.Type STATS

    - #### DIGEST

          public static final Component.Type DIGEST

    - #### CRC

          public static final Component.Type CRC

    - #### SUMMARY

          public static final Component.Type SUMMARY

    - #### TOC

          public static final Component.Type TOC

    - #### SECONDARY_INDEX

          public static final Component.Type SECONDARY_INDEX

    - #### CUSTOM

          public static final Component.Type CUSTOM

  - ### Method Detail

    - #### values

          public static Component.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Component.Type c : Component.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Component.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation